Subject: Re: bug#21462: 25.0.50; Gnus thread gathering and sorting inverted

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 09 Feb 2016 11:50:54 +1100

Michael Welsh Duggan <[email-masked]> writes:

>>> 1) gnus-make-threads -> gathers articles into threads by ref
>>> 2) gnus-cut-threads  -> removes "uninteresting" articles from the
>>>    threads
>>> 3) gnus-sort-threads -> sorts the threads (with respect to each other thread)
>>> 4) gnus-summary-thread-gathering-function -> gathers threads with
>>>    similar characteristics (subject, reference) into a single thread
>>> 5) gnus-sort-gathered-threads -> sorts the articles within each thread

[...]

> Is there a good reason for step 3 and 4 above to be in the given order
> instead of the reverse?

I think the reason they are in that order is for historical (and
backwards compatible) reasons: The predicates that work on thread
sorting will normally fail on gathered threads (which are lists of
thread roots).  I think.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no